---
.packet: &packet
  extends: .testcases
  variables:
    CI_PLATFORM: "packet"
    SSH_USER: "kubespray"
  tags:
    - packet
  only: [/^pr-.*$/]
  except: ['triggers']

packet_ubuntu18-calico-aio:
  stage: deploy-part1
  extends: .packet
  when: on_success

# Future AIO job
packet_ubuntu20-calico-aio:
  stage: deploy-part1
  extends: .packet
  when: manual

# ### PR JOBS PART2

packet_centos7-flannel-addons:
  extends: .packet
  stage: deploy-part2
  when: on_success

# ### MANUAL JOBS

packet_centos7-weave-kubeadm-sep:
  stage: deploy-part2
  extends: .packet
  when: on_success
  variables:
    UPGRADE_TEST: basic

packet_ubuntu16-weave-sep:
  stage: deploy-part2
  extends: .packet
  when: manual

# # More builds for PRs/merges (manual) and triggers (auto)

packet_ubuntu16-canal-ha:
  stage: deploy-special
  extends: .packet
  when: manual

packet_ubuntu16-canal-kubeadm:
  stage: deploy-part2
  extends: .packet
  when: on_success

packet_ubuntu16-flannel-ha:
  stage: deploy-part2
  extends: .packet
  when: manual

# Contiv does not work in k8s v1.16
# packet_ubuntu16-contiv-sep:
#   stage: deploy-part2
#   extends: .packet
#   when: on_success

packet_ubuntu18-cilium-sep:
  stage: deploy-special
  extends: .packet
  when: manual

packet_ubuntu18-flannel-containerd:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_ubuntu18-flannel-containerd-once:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_debian9-macvlan-sep:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_debian9-calico-upgrade-once:
  stage: deploy-part2
  extends: .packet
  when: on_success
  variables:
    UPGRADE_TEST: graceful

packet_debian10-containerd:
  stage: deploy-part2
  extends: .packet
  when: on_success

packet_centos7-calico-ha:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_centos7-calico-ha-once-localhost:
  stage: deploy-part2
  extends: .packet
  when: on_success
  services:
    - docker:18.09.9-dind

packet_centos8-kube-ovn:
  stage: deploy-part2
  extends: .packet
  when: on_success

packet_centos7-kube-router:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_centos7-multus-calico:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_centos8-calico:
  stage: deploy-part2
  extends: .packet
  when: on_success

packet_opensuse-canal:
  stage: deploy-part2
  extends: .packet
  when: on_success

packet_oracle7-canal:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_ubuntu16-kube-router-sep:
  stage: deploy-part2
  extends: .packet
  when: manual

packet_amazon-linux-2-aio:
  stage: deploy-part2
  extends: .packet
  when: manual

# ### PR JOBS PART3
# Long jobs (45min+)

packet_debian9-calico-upgrade:
  stage: deploy-part3
  extends: .packet
  when: on_success
  variables:
    UPGRADE_TEST: graceful

packet_ubuntu18-calico-ha-recover:
  stage: deploy-part3
  extends: .packet
  when: on_success
  variables:
    RECOVER_CONTROL_PLANE_TEST: "true"
    RECOVER_CONTROL_PLANE_TEST_GROUPS: "etcd[2:],kube-master[1:]"

packet_ubuntu18-calico-ha-recover-noquorum:
  stage: deploy-part3
  extends: .packet
  when: on_success
  variables:
    RECOVER_CONTROL_PLANE_TEST: "true"
    RECOVER_CONTROL_PLANE_TEST_GROUPS: "etcd[1:],kube-master[1:]"
